Subject: A secure version of pine 3.91 ?

From: [email-masked] (Adam Bentley)
Date: 30 Nov 1994 11:30:49 -0000

Hi,
	has anyone out there done any work on producing a 'secure' pine. I 
	am currently doing so and have had some success. Amongst the things
	I want to prevent are.

	1. Saving messages into folders outside of ~/mail (done)
	2. Piping/Suspending not allowed (done).
	3. Stop the file lister allowing you to leave your home directory
	   by utilising ".." (not done).

	It's the last one that I'm having most problems with as I'm not sure
	exactly what I should be modifying. 

	Can anyone out there advise on how I might acheive this kind of
	functionality with the viewer.	I need to be able to stop them leaving
	their $HOME for either ^R -read file or when adding attachments.

	Any help appreciated.....

	If there is enough interest I can summarise replies to the group.

	cheers.

-- 
                                                _
                                    	       /-\dam
-------------------------------------------------------------------------
FLESH: Adam Bentley, Systems/Networking, Coventry University. UK
INET : [email-masked]
-------------------------------------------------------------------------
			#include <std/disclaimer.h>				
-------------------------------------------------------------------------